Subject: Re: bug#41984: 28.0.50; term.el's select-window call interacts badly with modeline

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jun 2020 19:02:26 +0300

> From: [email-masked], Géza <[email-masked]>
> Date: Sun, 21 Jun 2020 17:43:09 +0200
> 
> I noticed that the call "(select-window win)" in term.el (in 
> term-emulate-terminal) interacts badly with doom modeline. This 
> select-window call confuses the modeline which is the active window, and 
> it causes the terminal's modeline displayed as active, as soon as the 
> terminal receives output, no matter which is the actual active window. 
> And the real active window is displayed with an inactive modeline.
> 
> I found if I modify this "(select-window win)" line to "(select-window 
> win t)", the bug doesn't happen anymore (I'm not sure whether it's a 
> correct fix in all regards or not).
> 
> Here's my full description of the issue, with screenshot: 
> https://github.com/seagle0128/doom-modeline/issues/355
> 
> Describe: When one window has an ansi-term, which constantly outputs 
> some text, and another window has the focus, then doom-modeline behaves 
> strange: the mode line of the focused window loses activity, and part of 
> ansi-term's mode line becomes active.

Any reason why you decided this isn't a doom modeline bug?